#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct M_ActivityElevenCollectingCFGData
{
	//任务ID
	int mID;
	//集齐类型
	int mCollectingType;
	//集齐奖励
	std::vector<int> mCollectingReward;
	//集齐奖励数量
	std::vector<int> mCollectingQuantity;
};

class M_ActivityElevenCollectingCFG
{
public:
private:
	static std::auto_ptr<M_ActivityElevenCollectingCFG> msSingleton;
public:
	int GetCount();
	const M_ActivityElevenCollectingCFGData* GetData(int ID);
	boost::unordered_map<int, M_ActivityElevenCollectingCFGData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static M_ActivityElevenCollectingCFG* GetSingleton();
private:
	boost::unordered_map<int, M_ActivityElevenCollectingCFGData> mMapData;
};
